
package com.tmerclub.cloud.multishop.constant;

/**
 * @Author lth
 * @Date 2021/5/20 20:34
 */
public enum IsPreferred {
    /**
     * 是优选好店
     */
    YES(1),
    /**
     * 不是优选好店
     */
    NO(0);

    private final Integer num;

    public Integer value() {
        return num;
    }

    IsPreferred(Integer num) {
        this.num = num;
    }

    public static IsPreferred instance(Integer value) {
        IsPreferred[] enums = values();
        for (IsPreferred statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
